Bug 110330 - Eclipse fails on zip import
Eclipse fails on zip import
Status: CLOSED ERRATA
Product: Red Hat Developer Suite
Classification: Retired
Component: eclipse (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: eclipse-bugs
eclipse-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-18 10:46 EST by Phil Muldoon
Modified: 2007-04-18 12:59 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-11-18 12:48:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Phil Muldoon 2003-11-18 10:46:17 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030922

Description of problem:
On attempting to import a zip file, eclipse crashes (with no log)

Version-Release number of selected component (if applicable):
RHEL-WS-eclipse-2.1.1-3

How reproducible:
Always

Steps to Reproduce:
1. Create a (simple) java project
2. Import
/usr/lib/eclipse/plugins/org.eclipse.jdt.source_2.1.1/src/org.junit_3.8.1/junitsrc.zip
3.
    

Actual Results:  Eclipse will crash when Finish is clicked

Expected Results:  Zip source file should have been imported

Additional info:
Comment 1 Phil Muldoon 2003-11-18 10:48:40 EST
Steps to produce was truncated. File to import

/usr/lib/eclipse/plugins/org.eclipse.jdt.source_2.1.1/src/org.junit_3.8.1/junitsrc.zipo

Comment 2 Tom Tromey 2003-11-18 12:48:52 EST
Some of our JNI code was being a bit careless with
null String values.  I've put a workaround in eclipse,
and I'm also checking in a JNI patch to the upstream
libgcj.  The JNI code in question is a local change of
ours, so no upstream eclipse patch is required.

Comment 3 David Lawrence 2004-01-23 14:44:43 EST
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2004-036.html

Note You need to log in before you can comment on or make changes to this bug.